Commit e81e9c60 authored by Raphaël Hertzog's avatar Raphaël Hertzog

Update build system to rely on "dpkg-parsechangelog -S Version" instead of outdated VERSION file.

parent 03fc5575
live-boot (1:20160511) UNRELEASED; urgency=medium
* Update build system to rely on "dpkg-parsechangelog -S Version" instead
of outdated VERSION file.
-- Raphaël Hertzog <hertzog@debian.org> Wed, 11 May 2016 11:40:37 +0200
live-boot (1:20151213) unstable; urgency=medium
[ Iain R. Learmonth ]
......
......@@ -30,7 +30,7 @@ build: check po4a.cfg
exit 1; \
fi
po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-boot --package-version $(shell cat ../VERSION) po4a.cfg
po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-boot --package-version $(shell dpkg-parsechangelog -S Version) po4a.cfg
clean:
rm -rf $(LANGUAGES)
......
......@@ -11,7 +11,7 @@
set -e
PROGRAM="LIVE\\\-BOOT"
VERSION="$(cat ../VERSION)"
VERSION="$(dpkg-parsechangelog -S Version)"
DATE="$(LC_ALL=C date +%Y\\\\-%m\\\\-%d)"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment